using Microsoft.AspNetCore.Mvc;
using WCS.BLL.Services.IService;
using WCS.BLL.Services.Service;
using WCS.Model;
using WCS.Model.ApiModel;
using WCS.Model.ApiModel.MXL4;
using WCS.Model.ApiModel.SelfCheck;
using WCS.Model.ApiModel.SingleLight;
using WCS.Model.ApiModel.Stocktaking;
using WCS.Model.ApiModel.User;
using WCS.Model.WebSocketModel;

namespace WCS.WebApi.Controllers
{
    /// <summary>
    /// 液晶面板 煤科院钻探分院项目
    /// </summary>
    [ApiController]
    [Route("[controller]")]
    public class MXL4Controller : ControllerBase
    {

        public IMXL4Service _mxl4Service { get; set; }

        public MXL4Controller(IMXL4Service mxl4Service)
        {
            _mxl4Service = mxl4Service;
        }

        [Route("sysOrderMXL4")]
        [HttpPost(Name = "sysOrderMXL4")]
        public async Task<ResponseBase> sysOrderMXL4(SysOrderMXL4Request request)
        {
            try
            {
                return await _mxl4Service.sysOrderMXL4(request);
            }
            catch (Exception ex)
            {
                return new ResponseBase()
                {
                    Code = 300,
                    Message = "操作失败：" + ex.Message,
                };
            }
        }

    }
}
